#!/bin/bash

# set -x

# the file tlds-alpha-by-domain.txt can be updated via:
# 	wgwet http://data.iana.org/TLD/tlds-alpha-by-domain.txt

if [ "$1" == "" ]
then 
	echo "Error need router name as input"
	echo "e.g. usage: generate-them n4crouter-1"
	exit
fi
cd /data/apps/N4Cbuild/alltlds

NAME=$1
IPADDR=`../scripts/get_ip.tcl`



cat tlds-alpha-by-domain.txt | grep -v "#" >barelist

NCF="named.conf.local"

for TLD in `cat barelist`
do
	echo "Doing $TLD"

	echo "\$ttl 3840" >$TLD.hosts
	echo "$TLD.	IN	SOA	$NAME.village.n4c.eu. alex\.mcmahon.cs.tcd.ie (" >>$TLD.hosts
	echo "		1276177546" >>$TLD.hosts
	echo "		10800" >>$TLD.hosts
	echo "		3600" >>$TLD.hosts
	echo "		604800" >>$TLD.hosts
	echo "		38400 )" >>$TLD.hosts
	echo "$TLD.	IN	NS	$NAME.village.n4c.eu." >>$TLD.hosts
	echo "*.$TLD.	IN	A	$IPADDR" >>$TLD.hosts
	echo "$IPADDR.$TLD.	IN	PTR	*.$TLD" >>$TLD.hosts
	echo "$TLD.		IN	MX	5	$NAME.village.n4c.eu." >>$TLD.hosts
	echo "$TLD.		IN	A	10.125.15.0" >>$TLD.hosts

	echo "zone \"$TLD\" {" >>$NCF
        echo "type master;" >>$NCF
        echo "file \"/etc/bind/$TLD.hosts\";" >>$NCF
        echo "};" >>$NCF

done

# And now for our blackholes, start with just www.apple.com
cp apple.com.hosts.blackhole apple.com.hosts
echo "zone www.apple.com {" >>$NCF
echo "type master;" >>$NCF
echo "file \"/etc/bind/apple.com.hosts\";" >>$NCF
echo "};" >>$NCF

# better really be root for this
cp /etc/bind/named.conf.local orig.local
cat orig.local named.conf.local >/etc/bind/named.conf.local
cp *.hosts /etc/bind/

cd -
