#!/bin/bash
disk=$1
part=$2
name=$3
platform=$4
gwtype=$5
no=$6
password=$7
mount /data

if [ "$name" == "n4crouter" ]; then
    if [ -e /usr/bin/tclsh ]; then
	scripts/./generate-hosts.tcl>/etc/hosts
	scripts/./generate-resolv-conf.tcl>/etc/resolv.conf
	if [ -e /home/dtnuser/.ssh ]; then
	    echo "/home/dtnuser/.ssh exists, will overwrite"
	    else
	    echo "creating /home/dtnuser/.ssh"
	    mkdir /home/dtnuser/.ssh
	    chown dtnuser:dtnuser /home/dtnuser/.ssh
	fi
	scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/authorized_keys
	scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/id_rsa
	scripts/./generate-sshd-config.tcl>>/etc/ssh/sshd_config
	scripts/././generate-sysctl-conf.tcl | tee -a /etc/sysctl.conf
	scripts/./generate-timzone.tcl>/etc/timezone
	dpkg-reconfigure -f noninteractive tzdata
	scripts/./generate-interfaces.tcl>/etc/network/interfaces
	scripts/./generate-iptables.tcl>/etc/iptables.conf
	scripts/./generate-iptables-start.tcl>/etc/network/if-up.d/iptables
        chmod 755 /etc/network/if-up.d/iptables
	scripts/./generate-br.tcl>/etc/init.d/br
	scripts/./generate-dhcpd-conf.tcl>/etc/dhcp3/dhcpd.conf
	scripts/./generate-dhcpd-default.tcl>/etc/default/dhcp3-server
	scripts/./generate-dhclient-conf.tcl>/etc/dhcp3/dhclient.conf
	scripts/./generate-mesh.tcl>/etc/init.d/mesh
	scripts/./generate-dtn-conf.tcl>/etc/dtn.conf
	scripts/./generate-hostapd-conf.tcl>/etc/hostapd/hostapd.conf
	scripts/./generate-hostapd-default.tcl>/etc/default/hostapd
	scripts/./generate-logrotate-dtnapps.tcl $platform>/etc/logrotate.d/dtnapps
	scripts/./generate-logrotate-apache2.tcl $platform>/etc/logrotate.d/apache2
	scripts/./generate-logrotate-rsyslog.tcl $platform>/etc/logrotate.d/rsyslog
	scripts/./generate-logrotate-conf.tcl $platform>/etc/logrotate.conf
	scripts/./generate-zeroclean.tcl>/data/dtn/scripts/zeroclean.sh
	chmod 755 /data/dtn/scripts/zeroclean.sh
	scripts/./generate-whats-new-php.tcl>/data/dtn/scripts/whatsnew.php
	chmod 755 /data/dtn/scripts/whatsnew.php
	scripts/./generate-apache2.tcl >/etc/apache2/sites-available/n4c-default
	if [ -e /etc/apache2/sites-enabled/000-default ]; then
	    echo "/etc/apache2/sites-enabled/000-default, deleting.."
	    rm /etc/apache2/sites-enabled/000-default
	fi
	ln -s /etc/apache2/sites-available/n4c-default /etc/apache2/sites-enabled/000-default
	scripts/./generate-apache2-n4csites-conf.tcl>/etc/apache2/sites-available/n4csites.conf
	ln -s /etc/apache2/sites-available/n4csites.conf /etc/apache2/sites-enabled/n4csites.conf
	scripts/./generate-apache2-squirrelmail-conf.tcl>/etc/squirrelmail/apache.conf
	scripts/./generate-village-n4c-eu-hosts.tcl>/etc/bind/village.n4c.eu.hosts
	scripts/./generate-10-125-14-rev.tcl>/etc/bind/10.125.14.rev
        scripts/./generate-10-125-15-rev.tcl>/etc/bind/10.125.15.rev
	scripts/./generate-dsg-tcd-ie.tcl>/etc/bind/dsg.cs.tcd.ie.hosts
	scripts/./generate-named-conf.tcl>/etc/bind/named.conf
	scripts/./generate-named-conf-options.tcl>/etc/bind/named.conf.options
	scripts/./generate-named-conf-local.tcl>/etc/bind/named.conf.local
	# next line has to come after the above line
	alltlds/generate-them.sh $name
	scripts/./generate-monit-default.tcl>/etc/default/monit
	scripts/./generate-monitrc.tcl $no $platform $gwtype $password>/etc/monit/monitrc
	scripts/./generate-dtnN4Cmiddle-rc.tcl>/etc/init.d/dtnN4Cmiddle
	scripts/./generate-dtnN4Crecv-rc.tcl>/etc/init.d/dtnN4Crecv
	scripts/./generate-dtn-rc.tcl>/etc/init.d/dtn
	scripts/./generate-mysql-rc.tcl>/etc/init.d/mysql
	scripts/./generate-addaccountsrc.tcl>/etc/init.d/addaccount
	scripts/./generate-pushrecv-rc.tcl>/etc/init.d/pushrecv
        scripts/./generate-daily-stats.tcl>/usr/local/bin/daily-stats.sh
        scripts/./generate-sendlog.tcl>/usr/local/bin/sendlog.php
        scripts/./generate-dtnd-control.tcl>/usr/bin/dtnd-control
        scripts/./generate-dtnmailsyncsd.tcl>/usr/local/bin/dtnmailsyncsd

    # gnuplot script for battery logging
    scripts/./generate-gnuplot-sed.tcl > /data/www/statichtml/sed.sh
    scripts/./generate-gnuplot.tcl > /data/www/statichtml/gnuplot_cron.sh
    chmod 755 /data/www/statichtml/sed.sh
    chmod 755 /data/www/statichtml/gnuplot_cron.sh
    echo "* 1 * * * /data/www/statichtml/gnuplot_cron.sh >> /var/log/gnuplot_cron.log 2>&1">>/var/spool/cron/crontabs/root

        chmod 755 /usr/local/bin/daily-stats.sh /usr/local/bin/sendlog.php /usr/bin/dtnd-control /usr/local/bin/dtnmailsyncsd
        echo "0 8 * * * /usr/local/bin/daily-stats.sh">>/var/spool/cron/crontabs/root

	chmod 755 /etc/init.d/dtn*
	chmod 755 /etc/init.d/mesh
	chmod 755 /etc/init.d/mysql
	chmod 755 /etc/init.d/addaccount
	chmod 755 /etc/init.d/pushrecv
	chmod 644 /home/dtnuser/.ssh/authorized_keys
	chmod 644 /home/dtnuser/.ssh/id_rsa
	chown dtnuser:dtnuser /home/dtnuser/.ssh/*
    else echo "no /usr/bin/tclsh"
    exit 1
    fi

elif [ "$name" == "n4cgateway" ]; then
    if [ "$gwtype" == "gateway-basic" ]; then
	if [ -e /usr/bin/tclsh ]; then
	    scripts/./generate-hosts.tcl>/etc/hosts
	    scripts/./generate-timzone.tcl>/etc/timezone
	    dpkg-reconfigure -f noninteractive tzdata
	    echo "System set to Universal Time"
        if [ -e /home/dtnuser/.ssh ]; then
            echo "/home/dtnuser/.ssh exists, will overwrite"
            else
            echo "creating /home/dtnuser/.ssh"
            mkdir /home/dtnuser/.ssh
            chown dtnuser:dtnuser /home/dtnuser/.ssh
        fi
	    scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/authorized_keys
	    scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/id_rsa
	    scripts/./generate-sshd-config.tcl>>/etc/ssh/sshd_config
	    scripts/./generate-interfaces.tcl>/etc/network/interfaces
            scripts/./generate-dhcpd-conf.tcl>/etc/dhcp3/dhcpd.conf
	    scripts/./generate-dhcpd-default.tcl>/etc/default/dhcp3-server
	    scripts/./generate-dhclient-conf.tcl>/etc/dhcp3/dhclient.conf
	    scripts/./generate-mesh.tcl>/etc/init.d/mesh
	    scripts/./generate-hostapd-conf.tcl>/etc/hostapd/hostapd.conf
	    scripts/./generate-hostapd-default.tcl>/etc/default/hostapd
	    scripts/./generate-dtn-conf.tcl>/etc/dtn.conf
        scripts/./generate-logrotate-dtnapps.tcl $platform>/etc/logrotate.d/dtnapps
        scripts/./generate-logrotate-apache2.tcl $platform>/etc/logrotate.d/apache2
        scripts/./generate-logrotate-rsyslog.tcl $platform>/etc/logrotate.d/rsyslog
        scripts/./generate-logrotate-conf.tcl $platform>/etc/logrotate.conf
        scripts/./generate-zeroclean.tcl>/data/dtn/scripts/zeroclean.sh
        chmod 755 /data/dtn/scripts/zeroclean.sh
	    scripts/./generate-monit-default.tcl>/etc/default/monit
	    scripts/./generate-monitrc.tcl $no $platform $gwtype $password>/etc/monit/monitrc
	    scripts/./generate-dtn-rc.tcl>/etc/init.d/dtn
	    scripts/./generate-wvdial-rc.tcl>/etc/init.d/wvdial
            scripts/./generate-br.tcl>/etc/init.d/br
	    scripts/./generate-openvpn-client-ca-cert.tcl>/etc/openvpn/ca.crt
	    scripts/./generate-openvpn-client-conf.tcl>/etc/openvpn/client.conf
	    scripts/./generate-openvpn-creds.tcl $no $platform $gwtype $password>/etc/openvpn/creds
	    scripts/./generate-openvpn-client-ta-key.tcl>/etc/openvpn/ta.key
	            scripts/./generate-10-125-14-rev.tcl>/etc/bind/10.125.14.rev
        scripts/./generate-10-125-15-rev.tcl>/etc/bind/10.125.15.rev
        scripts/./generate-dsg-tcd-ie.tcl>/etc/bind/dsg.cs.tcd.ie.hosts
        scripts/./generate-named-conf.tcl>/etc/bind/named.conf
        scripts/./generate-named-conf-options.tcl>/etc/bind/named.conf.options
        scripts/./generate-named-conf-local.tcl>/etc/bind/named.conf.local
        # next line has to come after the above line
        alltlds/generate-them.sh $name

	    cp enc/openvpn/$name-$no.key /etc/openvpn/$name-$no.key
	    cp enc/openvpn/$name-$no.crt /etc/openvpn/$name-$no.crt
            scripts/./generate-daily-stats.tcl>/usr/local/bin/daily-stats.sh
            scripts/./generate-sendlog.tcl>/usr/local/bin/sendlog.php
            scripts/./generate-dtnd-control.tcl>/usr/bin/dtnd-control
            scripts/./generate-dtnmailsyncsd.tcl>/usr/local/bin/dtnmailsyncsd
	    scripts/./generate-wvdial.tcl $platform>/etc/wvdial.conf 
	    scripts/./generate-vpnroute.tcl $platform>/etc/network/if-up.s/route.sh
            chmod 755 /usr/local/bin/daily-stats.sh /usr/local/bin/sendlog.php /usr/bin/dtnd-control /usr/local/bin/dtnmailsyncsd /etc/network/if-up.s/route.sh
            echo "0 8 * * * /usr/local/bin/daily-stats.sh">>/var/spool/cron/crontabs/root
	    chmod 755 /etc/init.d/dtn* /etc/init.d/wvdial
	    chmod 600 /etc/openvpn/$name-$no.key /etc/openvpn/ta.key
	    chmod 644 /etc/openvpn/$name-$no.crt /etc/openvpn/client.conf /etc/openvpn/creds /etc/openvpn/ca.crt
	    chmod 644 /home/dtnuser/.ssh/authorized_keys
	    chmod 644 /home/dtnuser/.ssh/id_rsa
	    chown dtnuser:dtnuser /home/dtnuser/.ssh/*

	else echo "no /usr/bin/tclsh"
	exit 1
	fi
    elif [ "$gwtype" == "gateway-router" ]; then
	if [ -e /usr/bin/tclsh ]; then
	    scripts/./generate-hosts.tcl>/etc/hosts
	    scripts/./generate-resolv-conf.tcl>/etc/resolv.conf
	    if [ -e /home/dtnuser/.ssh ]; then
		echo "/home/dtnuser/.ssh exists, will overwrite"
	    else
		echo "creating /home/dtnuser/.ssh"
		mkdir /home/dtnuser/.ssh
		chown dtnuser:dtnuser /home/dtnuser/.ssh
	    fi
	    scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/authorized_keys
	    scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/id_rsa
	    scripts/./generate-sshd-config.tcl>>/etc/ssh/sshd_config
	    scripts/././generate-sysctl-conf.tcl | tee -a /etc/sysctl.conf
	    scripts/./generate-timzone.tcl>/etc/timezone
	    dpkg-reconfigure -f noninteractive tzdata
	    scripts/./generate-interfaces.tcl>/etc/network/interfaces
            scripts/./generate-dhclient-conf.tcl>/etc/dhcp3/dhclient.conf
            scripts/./generate-iptables.tcl>/etc/iptables.conf
	    scripts/./generate-iptables-start.tcl>/etc/network/if-up.d/iptables
	    chmod 755 /etc/network/if-up.d/iptables
            scripts/./generate-dhcpd-conf.tcl>/etc/dhcp3/dhcpd.conf
            scripts/./generate-dhcpd-default.tcl>/etc/default/dhcp3-server
            scripts/./generate-dhclient-conf.tcl>/etc/dhcp3/dhclient.conf
            scripts/./generate-mesh.tcl>/etc/init.d/mesh
            scripts/./generate-hostapd-conf.tcl>/etc/hostapd/hostapd.conf
            scripts/./generate-hostapd-default.tcl>/etc/default/hostapd
	    scripts/./generate-dtn-conf.tcl>/etc/dtn.conf
        scripts/./generate-logrotate-dtnapps.tcl $platform>/etc/logrotate.d/dtnapps
        scripts/./generate-logrotate-apache2.tcl $platform>/etc/logrotate.d/apache2
        scripts/./generate-logrotate-rsyslog.tcl $platform>/etc/logrotate.d/rsyslog
        scripts/./generate-logrotate-conf.tcl $platform>/etc/logrotate.conf
        scripts/./generate-zeroclean.tcl>/data/dtn/scripts/zeroclean.sh
        chmod 755 /data/dtn/scripts/zeroclean.sh
        scripts/./generate-whats-new-php.tcl>/data/dtn/scripts/whatsnew.php
        chmod 755 /data/dtn/scripts/whatsnew.php
        scripts/./generate-apache2.tcl >/etc/apache2/sites-available/n4c-default
        if [ -e /etc/apache2/sites-enabled/000-default ]; then
            echo "/etc/apache2/sites-enabled/000-default, deleting.."
            rm /etc/apache2/sites-enabled/000-default
        fi
        ln -s /etc/apache2/sites-available/n4c-default /etc/apache2/sites-enabled/000-default
        scripts/./generate-apache2-n4csites-conf.tcl>/etc/apache2/sites-available/n4csites.conf

	    scripts/./generate-apache2-squirrelmail-conf.tcl>/etc/squirrelmail/apache.conf
	    scripts/./generate-village-n4c-eu-hosts.tcl>/etc/bind/village.n4c.eu.hosts
            scripts/./generate-10-125-14-rev.tcl>/etc/bind/10.125.14.rev
            scripts/./generate-10-125-15-rev.tcl>/etc/bind/10.125.15.rev
	    scripts/./generate-dsg-tcd-ie.tcl>/etc/bind/dsg.cs.tcd.ie.hosts
	    scripts/./generate-named-conf.tcl>/etc/bind/named.conf
	    scripts/./generate-named-conf-options.tcl>/etc/bind/named.conf.options
	    scripts/./generate-named-conf-local.tcl>/etc/bind/named.conf.local
	    alltlds/generate-them.sh $name
	    scripts/./generate-monit-default.tcl>/etc/default/monit
	    scripts/./generate-monitrc.tcl $no $platform $gwtype $password>/etc/monit/monitrc
	    scripts/./generate-dtnN4Cmiddle-rc.tcl>/etc/init.d/dtnN4Cmiddle
	    scripts/./generate-dtnN4Crecv-rc.tcl>/etc/init.d/dtnN4Crecv
	    scripts/./generate-dtn-rc.tcl>/etc/init.d/dtn
	    scripts/./generate-wvdial-rc.tcl>/etc/init.d/wvdial
	    scripts/./generate-mysql-rc.tcl>/etc/init.d/mysql
	    scripts/./generate-addaccountsrc.tcl>/etc/init.d/addaccount
	    scripts/./generate-pushrecv-rc.tcl>/etc/init.d/pushrecv
            scripts/./generate-br.tcl>/etc/init.d/br
	    scripts/./generate-openvpn-client-ca-cert.tcl>/etc/openvpn/ca.crt
	    scripts/./generate-openvpn-client-conf.tcl>/etc/openvpn/client.conf
	    scripts/./generate-openvpn-creds.tcl $no $platform $gwtype $password>/etc/openvpn/creds
	    scripts/./generate-openvpn-client-ta-key.tcl>/etc/openvpn/ta.key
	    cp enc/openvpn/$name-$no.key /etc/openvpn/$name-$no.key
	    cp enc/openvpn/$name-$no.crt /etc/openvpn/$name-$no.crt
            scripts/./generate-daily-stats.tcl>/usr/local/bin/daily-stats.sh
            scripts/./generate-sendlog.tcl>/usr/local/bin/sendlog.php
            scripts/./generate-dtnd-control.tcl>/usr/bin/dtnd-control
            scripts/./generate-dtnmailsyncsd.tcl>/usr/local/bin/dtnmailsyncsd
	    scripts/./generate-wvdial.tcl $platform>/etc/wvdial.conf
	    scripts/./generate-vpnroute.tcl $platform>/etc/network/if-up.s/route.sh
            chmod 755 /usr/local/bin/daily-stats.sh /usr/local/bin/sendlog.php /usr/bin/dtnd-control /usr/local/bin/dtnmailsyncsd /etc/network/if-up.s/route.sh /etc/init.d/wvdial
            echo "0 8 * * * /usr/local/bin/daily-stats.sh">>/var/spool/cron/crontabs/root
	    chmod 755 /etc/init.d/dtn*
	    chmod 600 /etc/openvpn/$name-$no.key /etc/openvpn/ta.key
	    chmod 644 /etc/openvpn/$name-$no.crt /etc/openvpn/client.conf /etc/openvpn/creds /etc/openvpn/ca.crt
	    chmod 755 /etc/init.d/mysql
	    chmod 755 /etc/init.d/addaccount
	    chmod 755 /etc/init.d/pushrecv
	    chmod 644 /home/dtnuser/.ssh/authorized_keys
	    chmod 644 /home/dtnuser/.ssh/id_rsa
	    chown dtnuser:dtnuser /home/dtnuser/.ssh/*
	else echo "no /usr/bin/tclsh"
	exit 1
	fi

    fi

elif [ "$name" == "n4cmule" ]; then
    if [ "$platform" == "proteus" ]; then
	if [ -e /usr/bin/tclsh ]; then
	    scripts/./generate-hosts.tcl>/etc/hosts
	    scripts/./generate-timzone.tcl>/etc/timezone
            dpkg-reconfigure -f noninteractive tzdata

	    scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/authorized_keys
	    scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/id_rsa
	    scripts/./generate-sshd-config.tcl>>/etc/ssh/sshd_config
	    scripts/./generate-interfaces.tcl $platform>/etc/network/interfaces
	    scripts/./generate-dtn-conf.tcl>/etc/dtn.conf
        scripts/./generate-logrotate-rsyslog.tcl $platform>/etc/logrotate.d/rsyslog
        scripts/./generate-logrotate-conf.tcl $platform>/etc/logrotate.conf
            scripts/./generate-mvlogs-sh.tcl>/data/dtn/scripts/mvlog.sh
            chmod 755 /data/dtn/scripts/mvlog.sh
	    scripts/./generate-monit-default.tcl>/etc/default/monit
	    scripts/./generate-monitrc.tcl $no $platform $gwtype $password>/etc/monit/monitrc
	    scripts/./generate-dtn-rc.tcl>/etc/init.d/dtn
	    chmod 755 /etc/init.d/dtn*
	    chmod 644 /home/dtnuser/.ssh/authorized_keys
	    chmod 644 /home/dtnuser/.ssh/id_rsa
	    chown dtnuser:dtnuser /home/dtnuser/.ssh/*
	else echo "no /usr/bin/tclsh"
	exit 1
	fi
    elif [ "$platform" == "eeepc" ]; then
            scripts/./generate-hosts.tcl>/etc/hosts
            scripts/./generate-timzone.tcl>/etc/timezone
            dpkg-reconfigure -f noninteractive tzdata
            scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/authorized_keys
            scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/id_rsa
            scripts/./generate-sshd-config.tcl>>/etc/ssh/sshd_config
            scripts/./generate-interfaces.tcl $platform>/etc/network/interfaces
            scripts/./generate-dtn-conf.tcl>/etc/dtn.conf
        scripts/./generate-logrotate-rsyslog.tcl $platform>/etc/logrotate.d/rsyslog
        scripts/./generate-logrotate-conf.tcl $platform>/etc/logrotate.conf

            scripts/./generate-mvlogs-sh.tcl>/data/dtn/scripts/mvlog.sh
            chmod 755 /data/dtn/scripts/mvlog.sh
            scripts/./generate-monit-default.tcl>/etc/default/monit
	    scripts/./generate-monitrc.tcl $no $platform $gwtype $password>/etc/monit/monitrc
            scripts/./generate-dtn-rc.tcl>/etc/init.d/dtn
            scripts/./generate-daily-stats.tcl>/usr/local/bin/daily-stats.sh
            scripts/./generate-sendlog.tcl>/usr/local/bin/sendlog.php
            scripts/./generate-dtnd-control.tcl>/usr/bin/dtnd-control
            scripts/./generate-dtnmailsyncsd.tcl>/usr/local/bin/dtnmailsyncsd
            chmod 755 /usr/local/bin/daily-stats.sh /usr/local/bin/sendlog.php /usr/bin/dtnd-control /usr/local/bin/dtnmailsyncsd
            echo "0 8 * * * /usr/local/bin/daily-stats.sh">>/var/spool/cron/crontabs/root
            chmod 755 /etc/init.d/dtn*
            chmod 644 /home/dtnuser/.ssh/authorized_keys
            chmod 644 /home/dtnuser/.ssh/id_rsa
            chown dtnuser:dtnuser /home/dtnuser/.ssh/*

    elif [ "$platform" == "WRAP" ]; then
	ln -s /usr/bin/tclsh8.4 /usr/bin/tclsh
	scripts/./generate-wrap-init-tcl.tcl>/lib/tcl8.4/init.tcl
	#scripts/./generate-wrap-uci.tcl>/tmp/uci-config
	#chmod 755 /tmp/uci-config
	#/tmp/./uci-config
	scripts/./generate-wrap-network.tcl>/etc/config/network
	scripts/./generate-wrap-fstab.tcl>/etc/config/fstab
	scripts/./generate-interfaces.tcl $platform>/etc/config/wireless
	scripts/./generate-wrap-firewall.tcl>/etc/config/firewall
	scripts/./generate-wrap-system.tcl>/etc/config/system
	scripts/./generate-wrap-ntpd.tcl>/etc/config/ntpd
	scripts/./generate-dtn-conf.tcl>/etc/dtn.conf
	scripts/./generate-wrap-dtn-rc.tcl>/etc/init.d/dtn
	scripts/./generate-wrap-wifi-rc.tcl>/etc/init.d/wifi
	scripts/./generate-monitrc.tcl $no $platform $gwtype $password>/etc/monit/monitrc
	scripts/./generate-wrap-monit-rc.tcl>/etc/init.d/monit
	adduser -D dtnuser
	mkdir  /home/dtnuser/.ssh
	chown -R dtnuser:dtnuser /home/dtnuser
	scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/authorized_keys
	scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/id_rsa
        scripts/./generate-authorized_keys.tcl>/etc/dropbear/authorized_keys
        scripts/./generate-authorized_keys.tcl>/home/dtnuser/.ssh/id_rsa

	chmod 0700 /etc/monitrc
	chmod 755 /etc/init.d/dtn /etc/init.d/wifi /etc/init.d/monit
	touch /var/log/dtn/dtnd.log
#	/usr/bin/dtnd --init-db -l info -o /var/log/dtn/dtnd.log
	/sbin/hwclock -w
    fi

fi
#end
cd /

