#!/bin/bash
name=$1
gwtype=$2
platform=$3

apt-get update
#Requirements for DTN2 / Oasys
apt-get -y install tcl8.5-dev tclreadline tclx8.4-dev tcllib libxerces-c2-dev libdb4.8-dev libxml2-dev

#Requirements for PRoPHET
#apt-get install qt4-dev-tools

# for pbm
#apt-get install libphidgets-dev

#Requirements for LTP-T
apt-get -y install libssl-dev openssl

#Requirements for Development environment 
apt-get -y install g++-4.4 g++-4.4-multilib g++-multilib gcc-4.4-doc gcc-4.4-multilib  

#Optional requirement for benchmarking, ssh, firewall and system info
apt-get -y install info lmbench mercurial lshw ssh ntp iptables vbetool iw bridge-utils gnuplot

if [ "$name" == "n4crouter" ]; then
#applications
apt-get -y install postfix dovecot-common dovecot-imapd squid squidclient apache2 dhcp3-server libapache2-mod-php5 php5 php5-dev php5-cli php5-mcrypt monit mysql-server mysql-client libapr1-dev apache2-threaded-dev libmysqlclient-dev libapache2-mod-auth-mysql php5-mysql hostapd bind9 squirrelmail
##Clean up
elif [ "$name" == "n4cgateway" ]; then
if [ "$gwtype" == "gateway-basic" ]; then
    if [ "$platform" == "proteus" ]; then
        apt-get -y install openvpn monit automake hostapd bind9 dhcp3-server php5-cli mailutils
    else
        apt-get -y install openvpn monit automake bind9 php5-cli mailutils
    fi
elif [ "$gwtype" == "gateway-router" ]; then
apt-get -y install openvpn monit automake postfix dovecot-common dovecot-imapd squid squidclient apache2 libapache2-mod-php5 php5 php5-dev php5-cli php5-mcrypt monit mysql-server mysql-client libapr1-dev apache2-threaded-dev libmysqlclient-dev libapache2-mod-auth-mysql php5-mysql hostapd bind9 squirrelmail  dhcp3-server
fi
elif [ "$name" == "n4cmule" ]; then
apt-get -y install monit automake
fi

apt-get clean
apt-get autoclean
echo "The following packages are installed"
dpkg-query -W --showformat='${Installed-Size} ${Package}\n' | sort -nr
