#!/usr/bin/tclsh
#
set filename "topology.tcl"
source $filename
#
# Common config for all nodes
#
set COMMON_CONFIG \
{
iface lo inet loopback
}
# generate the config
puts "#\n# Interfaces Configuration generated [clock format [clock seconds]]\n#"
if {$type == "n4crouter"} {
puts "#!/bin/bash"
puts "WAN=wlan0"
puts "LAN=eth0"
puts "IP_WAN=address 10.125.$ipoctet3.$ipoctet4"
puts "IP_LAN=address 10.125.[expr "$ipoctet3" + "1" ].$ipoctet4"
puts "IP_BRI=10.125.[expr "$ipoctet3" + "1" ].$ipoctet4"
puts "NETMASK=255.255.255.0"
puts "BRIDGE=br0"
puts "######################"
puts "status_bridge () {"
puts "brtcl show"
puts "}"
puts "#################################"
puts "# Set up Ethernet bridge on Linux"
puts "# Requires: bridge-utils"
puts "#################################"
puts "start_bridge () {"
puts "brctl addbr \$BRIDGE"
puts "brctl stp \$BRIDGE off"
puts "brctl addif \$BRIDGE \$WAN"
puts "brctl addif \$BRIDGE \$LAN"
puts "ifconfig \$WAN down"
puts "ifconfig \$LAN down"
puts "ifconfig \$WAN \$IP_WAN netmask \$NETMASK up" 
puts "ifconfig \$LAN 0.0.0.0 up"
puts "ifconfig \$BRIDGE \$IP_BRI netmask \$NETMASK up"
puts "}"
puts ""
puts "stop_bridge () {"
puts "ifconfig \$WAN down"
puts "ifconfig \$LAN down"
puts "ifconfig \$BRIDGE down"
puts "brctl delif \$BRIDGE \$WAN"
puts "brctl delif \$BRIDGE \$LAN"
puts "brctl delbr \$BRIDGE"
puts "}"

puts "case \"\$1\" in"
puts "start)"
puts "echo -n \"Starting Bridge\""
puts "start_bridge"
puts ";;"
puts "stop)"
puts "echo -n \"Stopping Bridge\""
puts "stop_bridge"
puts ";;"
puts "restart)"
puts "stop_bridge"
puts "sleep 2"
puts "start_bridge"
puts ";;"
puts "status)"
puts "status_bridge"
puts ";;"
puts "*)"
puts "echo \"Usage: \$0 {start|stop|restart|status}\" >&2"
puts "exit 1"
puts ";;"
puts "esac"
    } elseif {$type == "n4cgateway"} {
    } elseif {$type == "n4cmule"} {
	if {$id == "WRAP"} {
	} else {
	}
}
