#!/usr/bin/tclsh
#
set filename "topology.tcl"
source $filename
#
set COMMON_CONFIG \
{
#!/bin/bash
#
# dtnN4Cmiddleware		Start the dtnN4Cmiddleware daemon
#
#

NAME=dtnN4Cmiddleware
DAEMON=/usr/bin/$NAME
}
set COMMON_CONFIG_2 \
{
PIDFILE=/var/run/$NAME.pid
SSD=`which start-stop-daemon`
SSDARGS="-u www-data -c www-data:root --exec $DAEMON"
ENV="env -i LANG=C PATH=/bin:/usr/bin:/usr/local/bin"

test $DEBIAN_SCRIPT_DEBUG && set -v -x

trap "" 1


should_start() {
    if [ ! -x $DAEMON ]; then
	echo "$NAME is not executable, not starting"
	exit 0
    fi
}

case "$1" in
  start)
    echo -n "Starting dtnN4Cmiddleware daemon..."
    should_start
    $SSD $SSDARGS --start >> /var/log/dtn/dtnN4Cmiddleware.log 2>&1 -- $ARGS &
    pgrep -f dtnN4Cmiddleware>$PIDFILE
    ;;


  stop)
    echo -n "Stopping dtnN4Cmiddleware daemon..."
    $SSD $SSDARGS --stop --pidfile $PIDFILE || true
    rm -f $PIDFILE
    ;;

  restart)
    echo -n "Stopping dtnN4Cmiddleware daemon..."
    $CONTROL stop || true
    echo -n "Making sure dtnN4Cmiddleware daemon stops..."
    $SSD $SSDARGS --stop --pidfile $PIDFILE || true
    echo -n "Restarting dtnN4Cmiddleware daemon..."
    $SSD $SSDARGS --start -- $ARGS
    pgrep -f dtnN4Cmiddleware>$PIDFILE
    ;;

  *)
    echo "Usage: /etc/init.d/$NAME {start|stop|restart}"
    exit 1
    ;;
esac

}



# generate the config
puts "#\n# Configuration generated [clock format [clock seconds]]\n#"
puts $COMMON_CONFIG
puts "ARGS=\"$dsteid/HTMLgateway $srceid/HTMLrouter $srceid/HTMLrouter\""
puts $COMMON_CONFIG_2
