#!/usr/bin/tclsh
#
set filename "topology.tcl"
source $filename
# Common config for all nodes
#
set COMMON_CONFIG \
{
iface lo inet loopback
}
# generate the config
puts "#\n# Interfaces Configuration generated [clock format [clock seconds]]\n#"
if {$type == "n4crouter"} {
    puts "auto lo eth0 wlan0 wlan0:1"
    puts $COMMON_CONFIG
    puts "iface eth0 inet static"
    puts "address 10.125.[expr "$ipoctet3" + "2" ].$ipoctet4"
    puts "broadcast 10.125.[expr "$ipoctet3" + "2" ].255"
    puts "netmask $netmask"
    puts ""
    puts "iface wlan0 inet static"
    puts "address 10.125.$ipoctet3.$ipoctet4"
    puts "broadcast 10.125.$ipoctet3.255"
    puts "netmask $netmask"
    puts ""
    puts "iface wlan0:1 inet static"
    puts "address 10.125.[expr "$ipoctet3" + "1" ].$ipoctet4"
    puts "broadcast 10.125.[expr "$ipoctet3" + "1" ].255"
    puts "netmask $netmask"

    } elseif {$type == "n4cgateway"} {
        if {$id == "proteus"} {
	puts "auto lo eth0 wlan0"
	puts $COMMON_CONFIG
	puts "iface eth0 inet static"
	puts "address 10.125.[expr "$ipoctet3" + "2" ].$ipoctet4"
	puts "broadcast 10.125.[expr "$ipoctet3" + "2" ].255"
	puts "netmask $netmask"
	puts ""
	puts "iface wlan0 inet static"
        puts "address 10.125.$ipoctet3.$ipoctet4"
        puts "broadcast 10.125.$ipoctet3.255"
        puts "netmask $netmask"
	puts "wireless-essid n4cvillage"
	puts "wireless-mode managed"
	puts "wireless-enc off"
	puts "wireless-key off"
	puts "wireless-channel 1"
        } else {
	    puts "auto lo eth0 wlan0"
	    puts $COMMON_CONFIG
	    puts "iface eth0 inet static"
	    puts "address 10.125.[expr "$ipoctet3" + "2" ].$ipoctet4"
	    puts "broadcast 10.125.[expr "$ipoctet3" + "2" ].255"
	    puts "netmask $netmask"
	    puts ""
	    puts "iface wlan0 inet static"
            puts "address 10.125.$ipoctet3.$ipoctet4"
            puts "broadcast 10.125.$ipoctet3.255"
            puts "netmask $netmask"
	    puts "wireless-essid n4cvillage"
	    puts "wireless-mode managed"
	    puts "wireless-enc off"
	    puts "wireless-key off"
	    puts "wireless-channel 1"
        }
    } elseif {$type == "n4cmule"} {
	if {$id == "WRAP"} {
    	puts "config wifi-device  radio0"
    	puts "    option type     mac80211"
    	puts "    option channel  10"
    	puts "    option macaddr  $mac($localhost)"
    	puts "    option hwmode   11g"
    	puts "    option disabled 0"

	puts "config wifi-iface"
        puts "    option device   radio0"
        puts "    option network  wan"
        puts "    option mode     sta"
        puts "    option encryption none"
	puts "	  option 'ssid' 'n4cvillage'"
	} else {
    	puts "auto lo eth0 wlan0"
    	puts $COMMON_CONFIG
	puts "iface eth0 inet static"
	puts "address 10.125.[expr "$ipoctet3" + "2" ].$ipoctet4"
	puts "broadcast 10.125.[expr "$ipoctet3" + "2" ].255"
	puts "netmask $netmask"
	puts ""
    	puts "iface wlan0 inet static"
        puts "address 10.125.$ipoctet3.$ipoctet4"
        puts "broadcast 10.125.$ipoctet3.255"
        puts "netmask $netmask"
    	puts "wireless-essid n4cvillage"
    	puts "wireless-mode managed"
    	puts "wireless-enc off"
    	puts "wireless-key off"
    	puts "wireless-channel 1"
	}
}
