#!/usr/bin/tclsh
#
#
set COMMON_CONFIG \
{
#!/bin/bash
#
# dtnd		Start the mesh daemon
#
# The variables below are NOT to be changed.  They are there to make the
# script more readable.
#

NAME=mesh
DAEMON=/usr/local/bin/$NAME
ARGS=""
PIDFILE=/var/run/$NAME.pid
SSD=`which start-stop-daemon`
SSDARGS="-u root -c root:root --exec $DAEMON"
ENV="env -i LANG=C PATH=/bin:/usr/bin:/usr/local/bin"

test $DEBIAN_SCRIPT_DEBUG && set -v -x

trap "" 1


should_start() {
    if [ ! -x $DAEMON ]; then
	echo "$NAME is not executable, not starting"
	exit 0
    fi
}

case "$1" in
  start)
    echo -n "Starting mesh daemon..."
    should_start
    $SSD $SSDARGS >> /var/log/dtn/mesh.log 2>&1 --start -m --pidfile $PIDFILE -- $ARGS &
    ;;


  stop)
    echo -n "Stopping mesh daemon..."
    $SSD $SSDARGS --stop --pidfile $PIDFILE || true
    rm -f $PIDFILE

    ;;

  restart)
    echo -n "Stopping mesh daemon..."
    echo -n "Making sure mesh daemon stops..."
    $SSD $SSDARGS --stop --pidfile $PIDFILE || true
    echo -n "Restarting mesh daemon..."
    $SSD $SSDARGS --start -m --pidfile $PIDFILE -- $ARGS
    ;;

  *)
    echo "Usage: /etc/init.d/$NAME {start|stop|restart}"
    exit 1
    ;;
esac

}



# generate the config
puts "#\n# Configuration generated [clock format [clock seconds]]\n#"
puts $COMMON_CONFIG

