#!/usr/bin/tclsh
#
set filename "topology.tcl"
source $filename
#
# Common config for all nodes
#
set COMMON_CONFIG \
{
// This is the primary configuration file for the BIND DNS server named.
//
// Please read /usr/share/doc/bind9/README.Debian.gz for information on the
// structure of BIND configuration files in Debian, *BEFORE* you customize
// this configuration file.
//
// If you are just adding zones, please do that in /etc/bind/named.conf.local

include "/etc/bind/named.conf.options";

// prime the server with knowledge of the root servers
zone "." {
        type hint;
        file "/etc/bind/db.root";
};

// be authoritative for the localhost forward and reverse zones, and for
// broadcast zones as per RFC 1912

zone "localhost" {
        type master;
        file "/etc/bind/db.local";
};

zone "127.in-addr.arpa" {
        type master;
        file "/etc/bind/db.127";
};

zone "0.in-addr.arpa" {
        type master;
        file "/etc/bind/db.0";
};

zone "255.in-addr.arpa" {
        type master;
        file "/etc/bind/db.255";
};
include "/etc/bind/named.conf.local";
logging {
        };

}
# generate the config
if {$type == "n4crouter"} {
puts "#\n# Configuration generated [clock format [clock seconds]]\n#"
    puts $COMMON_CONFIG
    } elseif {$type == "n4cgateway"} {
    puts $COMMON_CONFIG

    } elseif {$type == "n4cmule"} {
	if {$platform == "WRAP"} {
	} else {
	}
}
