#!/usr/bin/tclsh
#
set filename "topology.tcl"
source $filename

#
# Common config for all nodes
#
set COMMON_CONFIG \
{
config defaults
    option syn_flood	1
    option input	ACCEPT
    option output	ACCEPT 
    option forward	REJECT

config zone
    option name	    lan
    option input    ACCEPT 
    option output   ACCEPT 
    option forward  REJECT

config zone
    option name	    wan
    option input    ACCEPT
    option output   ACCEPT 
    option forward  REJECT
    option masq	    1 
    option mtu_fix  1

config forwarding 
    option src      lan
    option dest     wan

# We need to accept udp packets on port 68,
# see https://dev.openwrt.org/ticket/4108
config rule
    option src	    wan
    option proto	udp
    option dest_port	68
    option target	ACCEPT

#Allow ping
config rule
    option src wan
    option proto icmp
    option icmp_type echo-request
    option target ACCEPT

# include a file with users custom iptables rules
config include
    option path /etc/firewall.user


}
# generate the config
puts "#\n# Configuration generated [clock format [clock seconds]]\n#"
puts $COMMON_CONFIG
